> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve Invitation

> Resolve an invitation based on the specified invitationId and status (APPROVED or DENIED).



## OpenAPI

````yaml /api/specs/identity-api.json patch /identity/v1/invitations/{invitationId}/resolve
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for identity service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /identity/v1/invitations/{invitationId}/resolve:
    patch:
      tags:
        - Invitation
      summary: Resolve Invitation
      description: >-
        Resolve an invitation based on the specified invitationId and status
        (APPROVED or DENIED).
      parameters:
        - in: path
          name: invitationId
          description: The ID of the invitation to be resolved.
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ResolveInvitationParams'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - data
                properties:
                  data:
                    $ref: '#/components/schemas/Invitation'
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
      security:
        - jwt: []
components:
  schemas:
    ResolveInvitationParams:
      type: object
      required:
        - status
      properties:
        status:
          type: string
          enum:
            - APPROVED
            - DENIED
    Invitation:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
          enum:
            - PRIVATE_CHARGING
            - PRICE_ADJUSTMENT
        referenceId:
          type: string
        driverId:
          type: string
        status:
          type: string
          enum:
            - PENDING_APPROVAL
            - APPROVED
            - DENIED
        network:
          type: object
          properties:
            id:
              type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - type
        - referenceId
        - driverId
        - status
        - network
        - createdAt
        - updatedAt
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````